<?php

namespace App\Classes\Modules\Jobs\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class UpdateJobResultObject implements DataTransferObject
{
    /** @var string */
    private $result;

    /** @var string */
    private $resultSignature;

    /** @var string */
    private $jobCommandName;

    /** @var string */
    private $jobCommand;

    public function __construct(string $result, string $resultSignature, string $jobCommandName, string $jobCommand)
    {
        $this->result = $result;
        $this->resultSignature = $resultSignature;
        $this->jobCommandName = $jobCommandName;
        $this->jobCommand = $jobCommand;
    }

    /**
     * @return string
     */
    public function getResult(): string
    {
        return $this->result;
    }

    /**
     * @return array
     */
    public function getResultSignature(): string
    {
        return $this->resultSignature;
    }

    /**
     * @return string
     */
    public function getJobCommandName(): string
    {
        return $this->jobCommandName;
    }

    /**
     * @return string
     */
    public function getJobCommand(): string
    {
        return $this->jobCommand;
    }
}
